using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LHDN.CRM.Models.Models
{

    using System.ComponentModel.DataAnnotations;
    using System.ComponentModel.DataAnnotations.Schema;

    [Table("PerfLog")]
    public partial class PerfLog
    {
        [Key]
        [DatabaseGenerated(DatabaseGeneratedOption.Identity)]
        public long PerfLogID { get; set; }
        [Required]
        [StringLength(4000)]
        public string RequestUri { get; set; }
        [Column(TypeName = "datetime2")]
        public DateTime StartTime { get; set; }
        [Column(TypeName = "datetime2")]
        public DateTime EndTime { get; set; }        
        public decimal Duration { get; set; }
        [StringLength(1000)]
        public string AdditionalInfo { get; set; }
    }
}
